HappyHorse-1.0-Video-Edit
ali/happyhorse-1.0-video-edit
异步任务:POST /v1/tasks/generations 提交 → GET /v1/tasks/generations/{request_id} 轮询结果(POST 发送后 request_id 自动填入 GET)。
BASE URL
https://router.shengsuanyun.com/api认证方式
Authorization: Bearer YOUR_API_KEY端点列表
POST/v1/tasks/generationsAli 视频编辑-异步
异步任务:POST 提交后返回 request_id,再用 GET /v1/tasks/generations/{request_id} 轮询结果。
请求体
application/json
| 字段 | 类型 | 说明 | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
prompt必填 | stringtextarea | ||||||||||
media必填 | array | 恰好 1 个 type=video(待编辑视频)+ 0~5 个 type=reference_image(参考图)展开结构恰好 1 个 type=video(待编辑视频)+ 0~5 个 type=reference_image(参考图)
数组元素
| |||||||||
resolution | string | 可选值:"720P" · "1080P" | |||||||||
audio_setting | string | auto:由模型控制;origin:保留输入视频原始声音 可选值:"auto" · "origin" | |||||||||
watermark | boolean | ||||||||||
seed | integer | ||||||||||
model必填 | string | 路由模型,本页固定为 ali/happyhorse-1.0-video-edit |
{
"audio_setting": "auto",
"media": [
{
"type": "video",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_0.mp4"
},
{
"type": "reference_image",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_1.jpg"
},
{
"type": "reference_image",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_2.jpg"
}
],
"model": "ali/happyhorse-1.0-video-edit",
"prompt": "视频中替换为【素材-2】中的背景,小猫带着【素材-3】中的帽子",
"resolution": "1080P",
"watermark": false
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/tasks/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"audio_setting": "auto",
"media": [
{
"type": "video",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_0.mp4"
},
{
"type": "reference_image",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_1.jpg"
},
{
"type": "reference_image",
"url": "https://oss.shengsuanyun.com/example/modelinfo/326/input_2.jpg"
}
],
"model": "ali/happyhorse-1.0-video-edit",
"prompt": "视频中替换为【素材-2】中的背景,小猫带着【素材-3】中的帽子",
"resolution": "1080P",
"watermark": false
}'响应
200 提交成功,返回 request_id / task_id
application/json
未提供结构定义。
{
"code": "success",
"message": "",
"data": {
"request_id": "REQ_xxx",
"task_id": "TASK_xxx",
"action": "GENERATION",
"status": "PENDING",
"progress": "0%"
}
}400 请求参数错误
401 未授权(API Key 无效)
429 请求过于频繁
500 服务器内部错误
GET/v1/tasks/generations/{request_id}查询异步任务状态与产物
通过 POST /v1/tasks/generations 返回的 request_id 轮询任务状态、进度与产物 URL(image_urls / video_urls / audio_urls / file_urls / text)。下方「在线测试」填入 request_id 即可发送查询;若上方 POST 已发送成功,request_id 会自动填入。
请求参数
| 参数 | 位置 / 类型 | 说明 |
|---|---|---|
request_id必填 | path / string | POST /v1/tasks/generations 返回的请求 ID |
请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X GET 'https://router.shengsuanyun.com/api/v1/tasks/generations/{request_id}' \
-H 'Authorization: Bearer YOUR_API_KEY'响应
200 任务状态与产物
application/json
未提供结构定义。
{
"code": "success",
"message": "",
"data": {
"request_id": "REQ_xxx",
"task_id": "TASK_xxx",
"action": "GENERATION",
"status": "COMPLETED",
"progress": "100%",
"data": {
"url": [
"https://oss.shengsuanyun.com/example/output.mp4"
]
}
}
}